Loading...
Searching...
No Matches
Timer.hpp File Reference
`#include <cmath>`
`#include <array>`
`#include <chrono>`
`#include <cstdio>`
`#include <functional>`
`#include <iostream>`
`#include <string>`
`#include <utility>`

Go to the source code of this file.

## Classes

class | CLI::Timer
| This is a simple timer with pretty printing. Creating the timer starts counting. More...
class | CLI::AutoTimer
| This class prints out the time upon destruction. More...

## Namespaces

namespace | CLI

## Functions

std::ostream & | operator<< (std::ostream &in, const CLI::Timer &timer)
| This prints out the time if shifted into a std::cout like stream.

## Function Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | in,
|  | const CLI::Timer & | timer )

inline

This prints out the time if shifted into a std::cout like stream.